[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# IsWordPresent

Check for the presence of a word in a string.

## Declaration

Source position: strutils.pp line 171

`function IsWordPresent(`
`const W: string;`
`const S: string;`
`const WordDelims: TSysCharSet`
`):Boolean;`

## Arguments

`W` |  | Word to search for
`S` |  | String to search
`WordDelims` |  | Characters to use as word separators

## Function result

True if the word is present, False if not.

## Description

IsWordPresent checks for the presence of the word W in the string S. Words are delimited by the characters found in WordDelims. The function returns True if a match is found, False otherwise. The search is performed case sensitive.

This function is equivalent to the SearchBuf function with the soWholeWords option specified.

## Errors

None.

## See also

SearchBuf |  | Search a buffer for a certain string.

Documentation generated on: Feb 26 2014